Bug 94442 - FILESAVE: RTF - Input fields in .doc file not retained
Summary: FILESAVE: RTF - Input fields in .doc file not retained
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:rtf
Depends on:
Blocks: RTF DOC-Fields
  Show dependency treegraph
 
Reported: 2015-09-22 11:49 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-11-17 05:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-22 11:49:09 UTC
Steps:
1) Open attachment 117736 [details]
2) Notice the gray fields in the tables
3) Save as RTF and reopen
4) Notice the gray fields are gone

Saving the file and reopening it wont work in LO versions before 4.1.

Version: 5.1.0.0.alpha1+
Build ID: 1e67e94f1a308ca60d4934e9fe9d5c048225ebe8
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-21_07:28:58
Locale: en-US (en_US.UTF-8)
Comment 1 Jacques Guilleron 2015-09-22 12:29:18 UTC
For me too Yousuf,

No visible field in saved rtf file with 
LO 5.1.0.0.alpha1+ Build ID: d417059dae303685de7aa0f4b1c192ffcf5304d5
TinderBox: Win-x86@39, Branch:master, Time: 2015-09-05_09:23:01
Locale: fr-FR (fr_FR)
& Windows 7 Home Premium
and LO 4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
Comment 2 Robinson Tryon (qubit) 2015-12-14 11:27:48 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2018-10-18 02:49:12 UTC Comment hidden (obsolete)
Comment 4 Timur 2019-11-17 20:47:41 UTC
With Lo 6.5+, fields seem retained when reopen with LO and even MSO, but on input in MSO they vanish, unlike DOCX or DOC. So bug is still valid.
Comment 5 QA Administrators 2021-11-17 05:12:50 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug